#!/bin/sh
# remove kernels except running
# see also http://www.altlinux.org/Apt/Tips

a= . install2-init-functions

KFLAVOUR=$(uname -r)
KFLAVOUR=${KFLAVOUR#*-}
KFLAVOUR=${KFLAVOUR%-*}

CLEANUP_KERNEL=$(chroot $destdir sh -c "rpm -qa |
  grep -e kernel-image -e kernel-modules -e kernel-headers -e kernel-doc |
  sed /$KFLAVOUR/d | sed /common/d | rev |
  cut -d '-' -f3- | rev | sort | uniq |tr '\n' ' ' ")

[ -n "$CLEANUP_KERNEL" ] &&
  chroot $destdir sh -c "rpm -e $CLEANUP_KERNEL"

:
